Skip to content

Glite l&b release page

Zdeněk Šustr edited this page Jun 25, 2014 · 48 revisions

Table of Contents

gLite L&B Releases

This is a release page for L&B after the discontinuation of the EMI project. Previous releases were covered at the EGEE/EMI QA page.

Releases in the L&B 4.x Branch (formerly EMI-3)

L&B 4.1.2-1

Date 29 May 2014
Tag glite-lb_R_4_1_2_1
Build https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/11/
Tests http://scientific.zcu.cz/scatter/reports/report-glite-lb_R_4_1_2_1.html
Repository https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/11/platform=sl6-x86_64/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/11/platform=sl6-i386/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/11/platform=sl5-x86_64/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/11/platform=sl5-i386/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/11/platform=debian6-x86_64/artifact/build.list
Package List http://scientific.zcu.cz/scatter/reports/list-glite-lb_R_4_1_2_1.txt
Release notes What's new:
This is a hot fix for issues caused by the previous release. It also adds missing man pages and updates existing ones, and fixes configuration and documentation files to explicitly control and explain purging of done jobs.
Installation and configuration:
The emi-lb metapackage is installed by yum. Configuration requires, at the very least, setting MYSQL_PASSWORD, SITE_NAME and SITE_EMAIL in the site-info.def file. Reconfiguration is required if you are updating. On Scientific Linux, you can (re)configure by YAIM. On Debian, use the glite-lb-setup command. Upgrading from previous versions of L&B (earlier than 4.0) involves a database schema change. A DB migration script is available. In typical scenarios it will be initiated automatically during reconfiguration. Follow documentation in case it needs to be started manually.
Known issues:
  • There are missing dependencies on 32-bit platforms, which prevent L&B from installing succesfully. They are glite-info-provider-service, bdii and glite-yaim-bdii. They have only been released with EMI-1 and can be obtained from the EMI-1 (or UMD-1) repository if installation on a 32-bit system is required.
  • Although this update fixes issues related to restarting the L&B Harvester service upon update, the fix won't take effect until the next update. To make sure harvester restarts correctly, do either of the following:
    • Reconfigure by yaim after update
    • kill the old harvester daemon (glite-lb-harvester) before updating
    • Restart your machine after update
Bugs resolved https://github.com/CESNET/glite-lb/issues/20
https://github.com/CESNET/glite-lb/issues/24
https://github.com/CESNET/glite-lb/issues/25

L&B 4.1.1-1

Date 29 May 2014
Tag glite-lb_R_4_1_1_1
Build https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/10/
Tests http://scientific.zcu.cz/scatter/reports/report-glite-lb_R_4_1_1_1.html
Repository https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/10/platform=sl6-x86_64/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/10/platform=sl6-i386/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/10/platform=sl5-x86_64/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/10/platform=sl5-i386/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/10/platform=debian6-x86_64/artifact/build.list
Package List http://scientific.zcu.cz/scatter/reports/list-glite-lb_R_4_1_1_1.txt
Release notes What's new:
This maintenance release of L&B provides extended support for sites wishing to move the L&B Server's database to a remote DB server (improved support for connection strings in config), moves the location of the L&B Client JAR file to comply with Fedora/EPEL packaging rules, fixes build on the Power PC platform, updates packaging to comply with dh 7 packaging standards, and makes sure zombie jobs are properly recognized and reported over L&B server's http interface (i.e., when a JobID is used as an URL in a Web browser).
Installation and configuration:
The emi-lb metapackage is installed by yum. Configuration requires, at the very least, setting MYSQL_PASSWORD, SITE_NAME and SITE_EMAIL in the site-info.def file. Reconfiguration is required if you are updating. On Scientific Linux, you can (re)configure by YAIM. On Debian, use the glite-lb-setup command. Upgrading from previous versions of L&B (earlier than 4.0) involves a database schema change. A DB migration script is available. In typical scenarios it will be initiated automatically during reconfiguration. Follow documentation in case it needs to be started manually.
Known issues:
There are missing dependencies on 32-bit platforms, which prevent L&B from installing succesfully. They are glite-info-provider-service, bdii and glite-yaim-bdii. They have only been released with EMI-1 and can be obtained from the EMI-1 (or UMD-1) repository if installation on a 32-bit system is required.
Bugs resolved https://github.com/CESNET/glite-lb/issues/20
https://github.com/CESNET/glite-lb/issues/21
https://github.com/CESNET/glite-lb/issues/22
https://github.com/CESNET/glite-lb/issues/23

L&B 4.0.12-1

Date 25 Nov 2013
Tag glite-lb_R_4_0_12_1
Build https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/8/
Tests http://scientific.zcu.cz/scatter/reports/report-glite-lb_R_4_0_12_1.html
Repository https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/8/platform=sl6-x86_64/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/8/platform=sl6-i386/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/8/platform=sl5-x86_64/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/8/platform=sl5-i386/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/8/platform=debian6-x86_64/artifact/build.list
Package List http://scientific.zcu.cz/scatter/reports/list-glite-lb_R_4_0_12_1.txt
Release notes What's new:
This maintenance release of L&B provides fixes for packaging issues identified during reviews, fixes several rare memory handling issues, sets up permissions for integration with CREAM, and improves the reliability of the Site Notification Keeper.
Installation and configuration:
The emi-lb metapackage is installed by yum. Configuration requires, at the very least, setting MYSQL_PASSWORD, SITE_NAME and SITE_EMAIL in the site-info.def file. Reconfiguration is required if you are updating. On Scientific Linux, you can (re)configure by YAIM. On Debian, use the glite-lb-setup command. Upgrading from previous versions of L&B (earlier than 4.0) involves a database schema change. A DB migration script is available. In typical scenarios it will be initiated automatically during reconfiguration. Follow documentation in case it needs to be started manually.
Known issues:
There are missing dependencies on 32-bit platforms, which prevent L&B from installing succesfully. They are glite-info-provider-service, bdii and glite-yaim-bdii. They have only been released with EMI-1 and can be obtained from the EMI-1 (or UMD-1) repository if installation on a 32-bit system is required.
Bugs resolved https://github.com/CESNET/glite-lb/issues/17
https://github.com/CESNET/glite-lb/issues/18
https://github.com/CESNET/glite-lb/issues/19

L&B 4.0.11-1

Date 19 Jun 2013
Tag glite-lb_R_4_0_11_1
Build https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/4/
Tests http://scientific.zcu.cz/scatter/reports/report-glite-lb_R_4_0_11_1.html
Repository https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/4/platform=sl6-x86_64/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/4/platform=sl6-i386/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/4/platform=sl5-x86_64/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/4/platform=sl5-i386/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/release/job/glite-lb-build-release/4/platform=debian6-x86_64/artifact/build.list
Package List http://scientific.zcu.cz/scatter/reports/list-glite-lb_R_4_0_11_1.txt
Release notes What's new:
This bugfix release of L&B improves InterLogger stability and fixes several issues relating to generated JSON output.
Installation and configuration:
The emi-lb metapackage is installed by yum. Configuration requires, at the very least, setting MYSQL_PASSWORD, SITE_NAME and SITE_EMAIL in the site-info.def file. Reconfiguration is required if you are updating. On Scientific Linux, you can (re)configure by YAIM. On Debian, use the glite-lb-setup command. Upgrading from previous versions of L&B (earlier than 4.0) involves a database schema change. A DB migration script is available. In typical scenarios it will be initiated automatically during reconfiguration. Follow documentation in case it needs to be started manually.
Known issues:
There are missing dependencies on 32-bit platforms, which prevent L&B from installing succesfully. They are glite-info-provider-service, bdii and glite-yaim-bdii. They have only been released with EMI-1 and can be obtained from the EMI-1 (or UMD-1) repository if installation on a 32-bit system is required.
Bugs resolved https://github.com/CESNET/glite-lb/issues/16
https://github.com/CESNET/glite-lb/issues/15
https://github.com/CESNET/glite-lb/issues/14
https://github.com/CESNET/glite-lb/issues/13
https://github.com/CESNET/glite-lb/issues/12

Releases in the L&B 3.x Branch (formerly EMI-2)

L&B 3.2.12-1

Date 25 Nov 2013
Tag glite-lb_R_3_2_12_1
Build https://emian.zcu.cz:8443/jenkins/view/emi2-release/job/glite-lb-build-emi2-release/4/
Tests http://scientific.zcu.cz/scatter/reports/report-glite-lb_R_3_2_12_1.html
Repository https://emian.zcu.cz:8443/jenkins/view/emi2-release/job/glite-lb-build-emi2-release/4/platform=sl6-x86_64/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/emi2-release/job/glite-lb-build-emi2-release/4/platform=sl5-x86_64/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/emi2-release/job/glite-lb-build-emi2-release/4/platform=sl5-i386/artifact/build.repo
Package List http://scientific.zcu.cz/scatter/reports/list-glite-lb_R_3_2_12_1.txt
Release notes What's new:
This maintenance release of L&B provides fixes for several rare memory handling issues, fixes the handling of MySQL configuration file by L&B Server's set-up script, and improves the reliability of the Site Notification Keeper.
Installation and configuration:
emi-lb metapackage is installed by yum. yaim configuration requires, at the very least, setting MYSQL_PASSWORD, SITE_NAME and SITE_EMAIL in the site-info.def file. Reconfiguration is required. reconfiguration by YAIM will restart the service automatically. Upgrading from previous versions of L&B involves database schema change. A DB migration script is available. In typical scenarios it will be initiated automatically. Follow documentation in case it needs to be started manually.
Known issues:
N/A
Bugs resolved https://github.com/CESNET/glite-lb/issues/15
https://github.com/CESNET/glite-lb/issues/17
https://github.com/CESNET/glite-lb/issues/19

L&B 3.2.11-1

Date 7 Jun 2013
Tag glite-lb_R_3_2_11_1
Build https://emian.zcu.cz:8443/jenkins/view/emi2-release/job/glite-lb-build-emi2-release/1/
Tests http://scientific.zcu.cz/scatter/reports/report-glite-lb_R_3_2_11_1.html
Repository https://emian.zcu.cz:8443/jenkins/view/emi2-release/job/glite-lb-build-emi2-release/1/platform=sl6-x86_64/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/emi2-release/job/glite-lb-build-emi2-release/1/platform=sl5-x86_64/artifact/build.repo
https://emian.zcu.cz:8443/jenkins/view/emi2-release/job/glite-lb-build-emi2-release/1/platform=sl5-i386/artifact/build.repo
Package List http://scientific.zcu.cz/scatter/reports/list-glite-lb_R_3_2_11_1.txt
Release notes What's new:
This bugfix release of L&B improves InterLogger stability and fixes several issues relating to generated JSON output.
Installation and configuration:
emi-lb metapackage is installed by yum. yaim configuration requires, at the very least, setting MYSQL_PASSWORD, SITE_NAME and SITE_EMAIL in the site-info.def file. Reconfiguration is required. reconfiguration by YAIM will restart the service automatically. Upgrading from previous versions of L&B involves database schema change. A DB migration script is available. In typical scenarios it will be initiated automatically. Follow documentation in case it needs to be started manually.
Known issues:
N/A
Bugs resolved https://github.com/CESNET/glite-lb/issues/16
https://github.com/CESNET/glite-lb/issues/14
Clone this wiki locally
You can’t perform that action at this time.